# MIT Kerberos Documentation

Contents | previous | next | index | Search | feedback

# krb5_cred_info

`krb5_cred_info`

Credentials information inserted into EncKrbCredPart .

## Declaration

typedef struct _krb5_cred_info krb5_cred_info

## Members

krb5_magic `krb5_cred_info.magic`

krb5_keyblock * `krb5_cred_info.session`

  Session key used to encrypt ticket.

krb5_principal `krb5_cred_info.client`

  Client principal and realm.

krb5_principal `krb5_cred_info.server`

  Server principal and realm.

krb5_flags `krb5_cred_info.flags`

  Ticket flags.

krb5_ticket_times `krb5_cred_info.times`

  Auth, start, end, renew_till.

krb5_address ** `krb5_cred_info.caddrs`

  Array of pointers to addrs (optional)